Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | String

Name

### indexOf()

Examples

    String str = "CCCP";
    int p1 = str.indexOf("C");
    int p2 = str.indexOf("P");
    int p3 = str.indexOf("CP");
    println(p1 + ":" + p2 + ":" + p3);  // Prints '0:3:2'

Description | Tests to see if a substring is embedded in a string and returns the index position of the first occurance of the substring defined in the str parameter. If the str parameter is not found in the string, -1 is returned.

Syntax

    indexOf(str)
    indexOf(str, fromIndex)

Parameters

str | String: the substring to search
fromIndex | int: the index from which to start the search

Usage | Web & Application

Updated on February 09, 2008 04:38:52pm PST